# Uses of Interface
java.awt.event.ContainerListener

Packages that use ContainerListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of ContainerListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type ContainerListener
Modifier and Type
Method
Description
`static void`
AWTEventMonitor.`addContainerListener(ContainerListener l)`
Adds the specified listener to receive all `CONTAINER` events on each component instance in the Java Virtual Machine as they occur.
`static void`
AWTEventMonitor.`removeContainerListener(ContainerListener l)`
Removes the specified listener so it no longer receives `CONTAINER` events when they occur.

## Uses of ContainerListener in java.awt

Classes in java.awt that implement ContainerListener
Modifier and Type
Class
Description
`class`
`AWTEventMulticaster`
`AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
`protected class`
`Container.AccessibleAWTContainer.AccessibleContainerHandler`
Fire `PropertyChange` listener, if one is registered, when children are added or removed.
Fields in java.awt declared as ContainerListener
Modifier and Type
Field
Description
`protected ContainerListener`
Container.AccessibleAWTContainer.`accessibleContainerHandler`
The handler to fire `PropertyChange` when children are added or removed
Methods in java.awt that return ContainerListener
Modifier and Type
Method
Description
`static ContainerListener`
AWTEventMulticaster.`add(ContainerListener a, ContainerListener b)`
Adds container-listener-a with container-listener-b and returns the resulting multicast listener.
`ContainerListener[]`
Container.`getContainerListeners()`
Returns an array of all the container listeners registered on this container.
`static ContainerListener`
AWTEventMulticaster.`remove(ContainerListener l, ContainerListener oldl)`
Removes the old container-listener from container-listener-l and returns the resulting multicast listener.
Methods in java.awt with parameters of type ContainerListener
Modifier and Type
Method
Description
`static ContainerListener`
AWTEventMulticaster.`add(ContainerListener a, ContainerListener b)`
Adds container-listener-a with container-listener-b and returns the resulting multicast listener.
`void`
Container.`addContainerListener(ContainerListener l)`
Adds the specified container listener to receive container events from this container.
`static ContainerListener`
AWTEventMulticaster.`remove(ContainerListener l, ContainerListener oldl)`
Removes the old container-listener from container-listener-l and returns the resulting multicast listener.
`void`
Container.`removeContainerListener(ContainerListener l)`
Removes the specified container listener so it no longer receives container events from this container.

## Uses of ContainerListener in java.awt.event

Classes in java.awt.event that implement ContainerListener
Modifier and Type
Class
Description
`class`
`ContainerAdapter`
An abstract adapter class for receiving container events.

## Uses of ContainerListener in javax.swing

Classes in javax.swing that implement ContainerListener
Modifier and Type
Class
Description
`protected class`
`JComponent.AccessibleJComponent.AccessibleContainerHandler`
Fire PropertyChange listener, if one is registered, when children added/removed.

## Uses of ContainerListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement ContainerListener
Modifier and Type
Class
Description
`protected class`
`BasicToolBarUI.ToolBarContListener`
The class listens for component events.
Fields in javax.swing.plaf.basic declared as ContainerListener
Modifier and Type
Field
Description
`protected ContainerListener`
BasicMenuBarUI.`containerListener`
The instance of `ContainerListener`.
`protected ContainerListener`
BasicToolBarUI.`toolBarContListener`
The instance of a `ContainerListener`.
Methods in javax.swing.plaf.basic that return ContainerListener
Modifier and Type
Method
Description
`protected ContainerListener`
BasicMenuBarUI.`createContainerListener()`
Returns an instance of `ContainerListener`.
`protected ContainerListener`
BasicToolBarUI.`createToolBarContListener()`
Returns an instance of `ContainerListener`.

## Uses of ContainerListener in javax.swing.plaf.metal

Classes in javax.swing.plaf.metal that implement ContainerListener
Modifier and Type
Class
Description
`protected class`
`MetalToolBarUI.MetalContainerListener`
No longer used.
Fields in javax.swing.plaf.metal declared as ContainerListener
Modifier and Type
Field
Description
`protected ContainerListener`
MetalToolBarUI.`contListener`
This protected field is implementation specific.
Methods in javax.swing.plaf.metal that return ContainerListener
Modifier and Type
Method
Description
`protected ContainerListener`
MetalToolBarUI.`createContainerListener()`
Creates a container listener that will be added to the JToolBar.